/* 
 * File:   Averager.cpp
 * Author: Thibaut Cuvelier
 */

#include "Averager.hpp"

Averager::Averager() : accumulator_(0), number_(0) {}

Averager::~Averager() {}

void Averager::add(unsigned char number) {
  accumulator_ += number; 
  number_++; 
}

unsigned char Averager::average() const {
  if(number_ == 0)
    return 0;
  return (unsigned char) (accumulator_ / number_); 
}
